<?xml version="1.0" encoding="utf-8"?>
					<grammar xmlns="http://relaxng.org/ns/structure/1.0" xmlns:a="http://relaxng.org/ns/compatibility/annotations/1.0" xmlns:rng="http://relaxng.org/ns/structure/1.0" xmlns:foo="foo">
						<start>
							<element>
								<choice>
									<name>abc</name>
									<name>def</name>
								</choice>
								<ref name="att"/>
							</element>
						</start>
						
						<define name="att">
							<optional>
								<attribute name="abc" a:defaultValue="xyz"/>
							</optional>
						</define>
					</grammar>
				